Foreman - Bug #5132

Unable to provision new ovirt compute resource system,
04/09/2014 09:02 PM - Darrell Budic

Status: Closed

Priority: Normal

Assignee: Amos Benari

Category: Compute resources

Target version: 1.4.4

Difficulty: Fixed in Releases:

Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Using the 1.5 nightlies (fresh install, last tested 4/9/14) for the ovirt support, I'm unable to properly provision hosts. After creating the
host in Foreman, once | hit Submit, it does the setup, and then hangs at the barber pole of "running - Power up". It creates the new
VM on ovirt, but does NOT power it on:

create In Progress

completed - Set up compute instance znc.int
completed - Query instance details for znc.int
completed - Create DHCP Settings for znc.int
completed - TFTP Settings for znc.int
completed - Fetch TFTP boot files for znc.int
running - Power up compute instance znc.int
(======= 80% complete barber pole here )

Manually powering on the VM causes it to boot and begin a kickstart, but when it gets to the point where it tries to pull the kickstart
file from foreman, it fails because foreman can't find the host by token, hostname, or ip address.

After the initial attempt times out, it fails the provisioning, and if you save it again, you get a host screen for a host still in build mode.
It also deletes the VM. However, it can now produce the kickstart file by any method, and if you recreate the VM by hand (with same
mac for dhcp of course), it will provision properly and become managed.

So problem 1: fails to start VM on ovirt computer resource. Problem 2, possibly related if it's not saving something until the power on
completes, kickstart file not available until after initial provisioning fails.

Related issues:
Related to Foreman - Refactor #5475: Revert #5132 oVirt volume fix Resolved

Associated revisions

Revision 578e6f54 - 04/28/2014 02:24 PM - Amos Benari

fixes #5132 hang when provisioning on ovirt 3.4

Revision f449c2d9 - 04/28/2014 02:57 PM - Amos Benari
fixes #5132 hang when provisioning on ovirt 3.4
(cherry picked from commit 578e6f54462e785d6ae25cceb6fbdd6c21696¢cb8)

Revision 5f58478b - 04/29/2014 11:19 PM - Amos Benari

fixes #5132 URL doesn't update correctly after creating a new host

Revision 7d11a033 - 05/07/2014 10:08 AM - Amos Benari

fixes #5132 hang when provisioning on ovirt 3.4
(cherry picked from commit 578e6f54462e785d6ae25cceb6fbdd6c21696ch8)

Conflicts:
app/models/concerns/fog_extensions/ovirt/server.rb

Revision 05df008c - 05/07/2014 11:55 AM - Amos Benari

fixes #5132 URL doesn't update correctly after creating a new host

(cherry picked from commit 5{58478b95ffd51eb41f53718e09c03a3613c827)

History

#1 - 04/23/2014 07:50 AM - Yama Kasi
Hi,
| have seen the same issue on 1.5 RC1, have you been able to solve this ?

#2 - 04/23/2014 07:57 AM - Ohad Levy

which version of ovirt are you using?

#3 - 04/23/2014 08:01 AM - Yama Kasi

I'm on oVirt 3.4.

#4 - 04/24/2014 10:34 PM - Yama Kasi

Hi Guys.

This just seems to "work" again as it did before on this same install.

| didn't change a thing here.... so | will report when it's happening again...
No clue yet!

#5 - 04/28/2014 01:02 PM - Ohad Levy

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

- Priority changed from High to Normal

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1408

#6 - 04/28/2014 01:05 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#7 - 04/28/2014 02:38 PM - Dominic Cleal
- Related to Refactor #5475: Revert #5132 oVirt volume fix added

#8 - 04/28/2014 03:31 PM - Amos Benari
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 578e6f54462e785d6ae25cceb6tbdd6¢c21696¢b8.

#9 - 04/30/2014 05:22 PM - Dominic Cleal

For reference, 5f58478b95ffd51eb41f53718e09c03a3613c827 was also linked to this issue but should have been #5389.

#10 - 05/05/2014 08:50 PM - Darrell Budic

Finally got a chance to test and can confirm that this has been fixed for me in nightlies. Thanks!

#11 - 05/07/2014 10:08 AM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17
